Serviceguard
cancel
Showing results for 
Search instead for 
Did you mean: 

serviceguard A.11.16 on Linux Red Hat 3 update 8

 
JMVD
Occasional Contributor

serviceguard A.11.16 on Linux Red Hat 3 update 8

Hi everybody, at this time, i have a problem with Red Hat AS 3 Update 8

I checked the Serviceguard version (A.11.16) and it's supported for my Red Hat version, but when i try to install serviceguard i install the pidentd rpm and then the sgcmom rpm and at least the serviceguard rpm but it shows a legend like this:

/lib/modules/2.4.21-47.ELsmp kernel/drivers/char/deadman.o: The module you are trying to load (/lib/modules/2.4.21-47.ELsmp/Kernel/drivers/char/deadman.o) is compiled with a gcc version 2 compiler, while the kernel you aer running is compiled with a gcc version 3 compiler. this is known to not work.
insmod failed
insmod deadman failed.

All the binaries and configuration files are copied, and everything seems ok, but, when i restart the server the legend it's shown.

then i try to create a configuration file for a new cluster:

cmquerycl -v -n node1 -L /dev/sda5 -n node2 -L /dev/sdb5 -C $SGCONF/clusterguardacontactos.config

And print this error:

Begin checking the nodes...
Warning: Unable to determine local domain name for guardacontactos02
Looking for other clusters ... Done
Gathering configuration information ..
Gathering storage information ..
.....
Gathering Network Configuration ....... Done
Error: Unable to determine network configuration: failed to receive net probe reply from node guardacontactos01
Failed to probe network
Warning: Network interface bond0 on node guardacontactos02 couldn't talk to itself.
Warning: Network interface eth1 on node guardacontactos02 couldn't talk to itself.
Warning: Network interface eth3 on node guardacontactos02 couldn't talk to itself.
Failed to gather configuration information.

I will appreciate any help, or document that help me, unfortunately I do not have access to the server, and on site I do not have access to Internet, so any help or ideas are wellcome.

Thanks...
2 REPLIES
Steven E. Protter
Exalted Contributor

Re: serviceguard A.11.16 on Linux Red Hat 3 update 8

Shalom,

You can stop playing with cmquerycl until you get the install to work.

The install failure must be dealt with first.

One of the pre-requisite rpms installed before SG is wrong. I'd check rpm -e everything and start over and get the pre-requisites right. Then SG will have no problem installing.

If HP provided these other rpms then you'll need to contact them. I suspect however that a more careful look at the docs might help.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
JMVD
Occasional Contributor

Re: serviceguard A.11.16 on Linux Red Hat 3 update 8

Thanks, i found the problem, the version of gcc was incorrect, somebody install an earlier version of gcc, and didn't tell me.

Thank's a lot.